Bug 1079878 - Tumbleweed: Plasmashell 5.11.95 crash at startup after installing Mesa 18.0.0-187.1
Tumbleweed: Plasmashell 5.11.95 crash at startup after installing Mesa 18.0.0...
Status: RESOLVED DUPLICATE of bug 1079465
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
x86-64 Other
: P5 - None : Critical (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-07 16:23 UTC by Bunte Katze
Modified: 2018-02-07 17:23 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bunte Katze 2018-02-07 16:23:51 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Build Identifier: 

Hi,

this is about daily updated (zypper ref && zypper dup) Tumbleweed.

earlier today I did a zypper dup and had a bunch of Mesa libraries sitting there from the OpenSUSE Updates repo.

Here the list of packages and versions which were installed (from /var/log/zypp/history):

Code:

2018-02-07 12:17:26|command|root@felinity|'zypper' 'dup'|
2018-02-07 12:17:26|install|Mesa-libGLESv2-2|18.0.0-187.1|x86_64||Update|3b799e3d09140fd7be33e3e80b62436c9f5c918c4231c815ff289fdd506e4e60|
2018-02-07 12:17:27|install|Mesa-libglapi0|18.0.0-187.1|x86_64||Update|ce7b103bebf1bdb3c6e224dd1ce81afd21c48ed8284c927b6c8d467601642420|
2018-02-07 12:17:27|install|Mesa-libva|18.0.0-187.1|x86_64||Update|aa39b4cf9c34e91b19c1d00a86c9e4eafa0f80640988f9378be1726b9d6a7d2b|
2018-02-07 12:17:27|install|libgbm1|18.0.0-187.1|x86_64||Update|27202305c6fef244ea64910989f6e1254c8073e9b2e7bd47a2d5099fba7fced9|
2018-02-07 12:17:27|install|libvdpau_nouveau|18.0.0-187.1|x86_64||Update|e9629d662cd17883c9a03045453c1bf6e6d2f4d071f89a3b2a65db4d5adc3773|
2018-02-07 12:17:28|install|libvulkan_intel|18.0.0-187.1|x86_64||Update|ae56af713c29b320053ca11cc9f377d743a930fd016346e7051ba3ce7f80f7b0|
2018-02-07 12:17:28|install|libvulkan_radeon|18.0.0-187.1|x86_64||Update|1375b6f90c8ec7da96cc6a125cba28a25e74ab504c4948aed7a8477add08cb78|
2018-02-07 12:17:28|install|libwayland-egl1|18.0.0-187.1|x86_64||Update|90f142a49e446fdaeadda74c5dce66ef2c4d61a02ec712a48e9f4b7bd4d8694d|
2018-02-07 12:17:29|install|Mesa-gallium-32bit|18.0.0-187.1|x86_64||Update|5dd6a8623aabefebdc3b8102d131cb98ace667c60d2b0e5a356dfb65867add15|
2018-02-07 12:17:29|install|Mesa-libglapi0-32bit|18.0.0-187.1|x86_64||Update|f0ffe0da06a39d5e20ec485440f62dc9a396e8cffcfda4987a94af8708a103a6|
2018-02-07 12:17:29|install|libgbm1-32bit|18.0.0-187.1|x86_64||Update|96167b19fdfdf980eee25edce52614dac5e1f6fc180b50458f1a4acfee6e6bb8|
2018-02-07 12:17:29|install|libOSMesa8|18.0.0-187.1|x86_64||Update|b5685d9cb8c13118eb22697b7130855c1367db16b985eed798140dc3d9080fdb|
2018-02-07 12:17:29|install|Mesa-libEGL1|18.0.0-187.1|x86_64||Update|027e4fc4ef38e82931b75be247a9bec25102974bb771ee35f506a6e963a6e8f6|
2018-02-07 12:17:30|install|libOSMesa8-32bit|18.0.0-187.1|x86_64||Update|ed83a8d1faef85f10046e75a96ed5d044f7c03e0f7ed5ec07d81ba8c233e5993|
2018-02-07 12:17:30|install|Mesa-dri-32bit|18.0.0-187.1|x86_64||Update|1e1e5f376f2f56b8d720881839dab2349c6d45c221c19ed507bc32977b5d6b35|
2018-02-07 12:17:30|install|Mesa-libEGL1-32bit|18.0.0-187.1|x86_64||Update|8aabd978cf8648978b07b637beda42692573e0f54fb788d6c37121af1cc2532c|
2018-02-07 12:17:31|install|Mesa-libEGL-devel|18.0.0-187.1|x86_64||Update|45486708c5b843c75f6c7073c4521307b530548b7141fe6d03b49f9502cb7f47|
2018-02-07 12:17:31|install|Mesa|18.0.0-187.1|x86_64||Update|7f37602bf8aa77467c45fb470c97f8f9dc26e78a78d9512e01405003c4887123|
2018-02-07 12:17:31|install|Mesa-libGL1|18.0.0-187.1|x86_64||Update|2efbdaeca9e6596d7285b0abf9f6a2d872314e8205897697dff637f69a441887|
2018-02-07 12:17:31|install|Mesa-libGL-devel|18.0.0-187.1|x86_64||Update|8aa41ac0498a188bda017d1f3ae770bd01fea9f7cab381a0411b581bc7d9fef8|
2018-02-07 12:17:32|install|Mesa-dri|18.0.0-187.1|x86_64||Update|ff554fedbfa3e6c718b2e2d0784e8220f57f1039aa9ed81624370d828ff7575f|
2018-02-07 12:17:32|install|Mesa-gallium|18.0.0-187.1|x86_64||Update|3389cafe4997614d10ffbbf492ca126da7fa87da7cc01aba4ea55d377bd55fbe|
2018-02-07 12:17:32|install|Mesa-32bit|18.0.0-187.1|x86_64||Update|cd2527a2faa63bdf72ff93ce20132f315bf2bc92beaedcfc7b27b8267825bccd|
2018-02-07 12:17:33|install|Mesa-dri-nouveau|18.0.0-187.1|x86_64||Update|3c054ed012300a7fab1e17beacc45994f782099989a171120dacfd408e674842|
2018-02-07 12:17:33|install|Mesa-libGL1-32bit|18.0.0-187.1|x86_64||Update|5fa26d5faf269093dac0d77c1ab7237a539709914f2ffab808b5fca6b4aeea8f|

When I rebooted (and on all consecutive reboots), plasmashell crashed at startup.

I unfortunately did not capture the shell output, but it contained mostly warnings about not cleanly programmed plasmoids.

In the end, KCrash informed that plasmashell crashed, and that Dr. Konqi could not be started. There were no reasons given and I could not find any logs.

The crash was reproducible every single time.

While starting plasmashell (at KDE startup or from a Konsole window), shortly the task bar at the bottom of the screen flashed up in all-grey solid color, then disappeared, and the crash notice showed up in Konsole.

I was able to start apps with Alt+Space for quickstart, where I could type and execute commands, although instead of the usual quickstart UI I only got a solid grey box.

From quickstart, I started Konsole, Firefox (for research) and Yast2 without problems. Also Alt+Tab task switching worked.

Via Yast Add/Remove software, I marked all packages mentioned in the zypper log and changed their version from 18.0.0-187.1 to 18.0.0-185.1 (the first being from the OpenSUSE Update repo, and the latter being from the OpenSUSE Oss repo).

There were a few (2 or 3) 32bit packages for which changing the version did not apply anything (i.e. yast install/remove software did not change from the grey box with a checkmark to the green upwards arrow when clicking a different version for these packages, and trying a second time to install them caused no zypper action to be executed, according to the logs. The install/remove software window just closed after installing nothing.) I think these are not relevant here, though.

Here the zypper log from installing with YAST:

Code:

2018-02-07 16:47:40|command|root@felinity|'/usr/bin/ruby.ruby2.5' '/usr/lib/YaST2/bin/y2start' 'sw_single' 'qt' '-name' 'YaST2' '-icon' 'yast'|
2018-02-07 16:47:41|install|Mesa-gallium-32bit|18.0.0-185.1|x86_64|root@felinity|repo-oss|54a153d417c5da2e78caaead5a1255ecefae4726|
2018-02-07 16:47:41|install|Mesa-libGLESv2-2|18.0.0-185.1|x86_64|root@felinity|repo-oss|0a4054d89988412156e10a528a1a91063955e2da|
2018-02-07 16:47:41|install|Mesa-libglapi0|18.0.0-185.1|x86_64|root@felinity|repo-oss|d5059d05857e0c40db80ee7e7aa8139f4c0e0ec9|
2018-02-07 16:47:41|install|Mesa-libglapi0-32bit|18.0.0-185.1|x86_64|root@felinity|repo-oss|74558e7cb4ae6c30454acb64560ca69a6dec83d2|
2018-02-07 16:47:42|install|Mesa-libva|18.0.0-185.1|x86_64|root@felinity|repo-oss|b7ba9f91f1328b421b24430f8466c5752728c626|
2018-02-07 16:47:42|install|libgbm1|18.0.0-185.1|x86_64|root@felinity|repo-oss|a57431f2023b89a77f540d20cf30c47a6b757cf8|
2018-02-07 16:47:43|install|libgbm1-32bit|18.0.0-185.1|x86_64|root@felinity|repo-oss|c1466d17dbfd4a8a6643e1043cef45af9bd00cb5|
2018-02-07 16:47:43|install|libvdpau_nouveau|18.0.0-185.1|x86_64|root@felinity|repo-oss|28f8668f471226cc8b89e026ef9d7c789d4b456a|
2018-02-07 16:47:44|install|libvulkan_intel|18.0.0-185.1|x86_64|root@felinity|repo-oss|b3e79bb1a5914234783fcf8e23817670882535cf|
2018-02-07 16:47:44|install|libvulkan_radeon|18.0.0-185.1|x86_64|root@felinity|repo-oss|4b18619706204af0ec62f512ee213cefee01a434|
2018-02-07 16:47:44|install|libwayland-egl1|18.0.0-185.1|x86_64|root@felinity|repo-oss|bdd25c49ec057a472be08c57d059ba5c8eb7b9ad|
2018-02-07 16:47:45|install|libOSMesa8|18.0.0-185.1|x86_64|root@felinity|repo-oss|abbd4d0a577398f69945151f577efc7c1c78e8f5|
2018-02-07 16:47:45|install|libOSMesa8-32bit|18.0.0-185.1|x86_64|root@felinity|repo-oss|156e94340bb1d52a45e278310c9097dcf69ca2c5|
2018-02-07 16:47:47|install|Mesa-dri-32bit|18.0.0-185.1|x86_64|root@felinity|repo-oss|5bf60f8f061f15680103cba02b2d6bc2080b810f|
2018-02-07 16:47:47|install|Mesa-libEGL1|18.0.0-185.1|x86_64|root@felinity|repo-oss|9dbe55a93ebf2f4748093c72fac8b6d0f5fd6c21|
2018-02-07 16:47:47|install|Mesa-libEGL1-32bit|18.0.0-185.1|x86_64|root@felinity|repo-oss|b11be5f5a69c7a5fd1bd15b3424dca17d9072f24|

After rebooting, my plasmashell started up as usual.

This proves that Mesa 18.0.0-187.1 breaks plasmashell 5.11.95, while Mesa 18.0.0-185.1 runs perfectly.




Reproducible: Always

Steps to Reproduce:
1. install Mesa libraries 18.0.0-187.1 from OpenSUSE update
2. reboot
3. after you see that plasmashell crashed, hit Alt+space, type konsole, press Enter. There you can try restarting plasmashell and see it fail with console output.
Actual Results:  
Plasmashell crashes reproducably with Mesa 18.0.0-187.1.

Expected Results:  
Plasmashell should run with Mesa 18.0.0-187.1 as well as it runs with Mesa 18.0.0-185.1


For further details - Here's my zypper repositories list:
felinity:/home/leonie # zypper lr -a -n -u -p -r -d -s
#  | Alias                               | Name                                    | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                          | Service
---+-------------------------------------+-----------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------------------------+--------
 1 | Atlassian HipChat                   | Atlassian HipChat                       | No      | ----      | ----    |   99     | rpm-md | http://downloads.hipchat.com/linux/yum/                                                      |        
 2 | Debug                               | openSUSE Debug                          | No      | ----      | ----    |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/debug                                           |        
 3 | Packman Repository                  | Packman Repository                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Tumbleweed/                               |        
 4 | Update                              | openSUSE Update                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                                              |        
 5 | X11_Bumblebee                       | Bumblebee project (openSUSE_Tumbleweed) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/Bumblebee/openSUSE_Tumbleweed/                |        
 6 | devel:languages:python              | devel:languages:python                  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_Tumbleweed/      |        
 7 | devel_languages_php                 | devel:languages:php (openSUSE_Factory)  | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/php/openSUSE_Factory/            |        
 8 | games                               | Games                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_Tumbleweed/                         |        
 9 | google-earth                        | google-earth                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/earth/rpm/stable/x86_64                                           |        
10 | google-talkplugin                   | google-talkplugin                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/talkplugin/rpm/stable/x86_64                                      |        
11 | http-download.opensuse.org-03072ccb | mozilla                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Tumbleweed/                       |        
12 | http-download.opensuse.org-0e5bedf0 | home:deltafox                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/deltafox/openSUSE_Factory/                   |        
13 | http-download.opensuse.org-4eabefd9 | devel:languages:php:php56               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/php:/php56/openSUSE_Leap_42.3/   |        
14 | multimedia:libs                     | multimedia:libs                         | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_Tumbleweed/              |        
15 | repo-non-oss                        | openSUSE Non-Oss                        | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss/                                        |        
16 | repo-oss                            | openSUSE Oss                            | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss/                                            |        
17 | server:php:extensions               | server:php:extensions                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/server:/php:/extensions/openSUSE_Factory/          |        
18 | server_php_extensions_php7          | PHP7 extensions (openSUSE_Tumbleweed)   | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/server:/php:/extensions:/php7/openSUSE_Tumbleweed/ |        
19 | skype-stable                        | skype (stable)                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://repo.skype.com/rpm/stable/                                                           |
Comment 1 A.Rahman Mahmoud 2018-02-07 16:43:35 UTC
I have the same issue with this 18.0.0-187.1
Comment 2 Bunte Katze 2018-02-07 16:54:00 UTC
Using the repo and instructions from https://bugzilla.opensuse.org/show_bug.cgi?id=1079748#c1 made plasmashell run for me.

2018-02-07 17:41:39|radd   |MichaelSrb2|https://download.opensuse.org/repositories/home:/michalsrb:/branches:/bnc1079465:/X11:/XOrg/openSUSE_Tumbleweed/|
2018-02-07 17:44:40|command|root@felinity|'/usr/bin/ruby.ruby2.5' '/usr/lib/YaST2/bin/y2start' 'sw_single' 'qt' '-name' 'YaST2' '-icon' 'yast'|
2018-02-07 17:44:41|install|Mesa-gallium-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|1cf8f0eb5aca50a4bd6f6a0e64b1332beab60a8a2199f41f02dcb64a85537d8d|
2018-02-07 17:44:41|install|Mesa-libGLESv2-2|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|93aaba04ffb70657255fca34090ad92ea1f6eff7e23b26fc3b06cb242156094c|
2018-02-07 17:44:42|install|Mesa-libglapi0|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|9d8747f535f5269e91c9f6e0c93236d99c12208d573f54a4aabed6cb7d9c306c|
2018-02-07 17:44:42|install|Mesa-libglapi0-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|7592bfb17e15e174215d1562b3b2892395f297cc9ff5765777f850f2e13b2aaf|
2018-02-07 17:44:43|install|Mesa-libva|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|44edfac63f2e393d71178e943f762c427b6b23f49cc1ae4bb9474e71447ca10d|
2018-02-07 17:44:43|install|libgbm1|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|6f57b9e37d6ad487790833d2d08131b9310ab0aabbf383f2e42a2c90b1db2547|
2018-02-07 17:44:43|install|libgbm1-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|b4bd981affbe8d2555b849cd85ef8c22969b25507254d97420692a48ff30d72d|
2018-02-07 17:44:44|install|libvdpau_nouveau|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|804f324a30185cd1f8eead95c079af34f78bfcde983039eabbe164af74183bbf|
2018-02-07 17:44:44|install|libvulkan_intel|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|a3ab2e3d2199033561f6e3fa9966c7b578646cf46aba77a0dc4dd6c615338b70|
2018-02-07 17:44:44|install|libvulkan_radeon|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|aa4fb2293678a535552887898e5f5704b491c1a13225b97af2a0271a5ed1305c|
2018-02-07 17:44:45|install|libwayland-egl1|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|f4e45e32bed2549da640ea6ded7c26f7a9ca1f9b6e7f5f312df0f6a613030767|
2018-02-07 17:44:45|install|libOSMesa8|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|2b4a54f7745956cf22c09909ca3eb47312f77bf7e55aa00987be8c8e8d141014|
2018-02-07 17:44:46|install|libOSMesa8-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|87d479969424b8c630eaeb6be6a28fc2ffb7ef0bfbdbe1f69fe0b3e707d55797|
2018-02-07 17:44:47|install|Mesa-dri-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|53221015e4dacc93429a72998a2565b39ac39f366acef30afbf7a60a14883409|
2018-02-07 17:44:47|install|Mesa-libEGL1|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|0d744e8c3d569effa6c1c1268684c82851565c0e0597b3b44ced83f4a3b6559d|
2018-02-07 17:44:48|install|Mesa-libEGL1-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|f282e31eaad2e0f5c9b9ff515d27fca1c4ccbecb9f29e5a34dfd3d4ab0f9a128|
2018-02-07 17:44:48|install|Mesa-libEGL-devel|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|2b5c5f72f0aade001de8e761e2f019a868215184225bc4ccdfe816a9d580c783|
2018-02-07 17:44:48|install|Mesa|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|a12686ea58ccc6a69334e5e83b0ce424896ff572a26654859d5c33f7dedf2a42|
2018-02-07 17:44:48|install|Mesa-libGL1|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|e594c9400dab348cafc5b187d73f7ec105c706e638f4ba9c1ad9a71dbf474d41|
2018-02-07 17:44:49|install|Mesa-libGL-devel|18.0.0-791.1|x86_64|root@felinity|MichaelSrb2|5d6f7233933c5d270d99d799e758a0531202a4df5ad23dfd017d3b1a25090032|
2018-02-07 17:44:50|install|Mesa-dri|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|5aee1e52ca2d3332695a0d70a925cdfeb75f7805e49175b2080637aef1cbb821|
2018-02-07 17:44:51|install|Mesa-gallium|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|d53390fc306f935e8e2a646c15e601b378f4e6f0bb747b7c508b510b3f546248|
2018-02-07 17:44:52|install|Mesa-dri-nouveau|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|a24d969df05037e6d6ae7c4c0de416b57a728154e339209003cea2ad82050729|
2018-02-07 17:44:52|install|Mesa-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|2d51e6166276addb6289bf30b663255480cc6e4b60836a42d6ae122c365c5782|
2018-02-07 17:44:52|install|Mesa-libGL1-32bit|18.0.0-793.1|x86_64|root@felinity|MichaelSrb2|c28aa1aa6f869c1259f5d788aecc252baab15ea1350b481b457db19351866191|


Do not forget to delete ~/.cache and /var/lib/sddm/.cache

This could thus be a duplicate of bug 1079748 and bug 1079465.
Comment 3 A.Rahman Mahmoud 2018-02-07 17:21:56 UTC
 deleting ~/.cache and /var/lib/sddm/.cache did the trick for me
Comment 4 Bunte Katze 2018-02-07 17:23:45 UTC
I also got it to work with 18.0.0-187.1 after all.

First time removing ~/.cache did not seem to do it for some reason.

Closing as duplicate of bug 1079465.

*** This bug has been marked as a duplicate of bug 1079465 ***